Source: google-android-sdk-docs-installer
Section: contrib/devel
Priority: optional
Maintainer: Android tools Maintainer <android-tools-devel@lists.alioth.debian.org>
Uploaders: Hans-Christoph Steiner <hans@eds.org>,
           Mouaad Aallam <Mouaad@Aallam.com>
Build-Depends: debhelper (>= 9)
Standards-Version: 4.1.0
Rules-Requires-Root: no
Homepage: https://developer.android.com/sdk/index.html
Vcs-Git: https://salsa.debian.org/android-tools-team/google-android-sdk-docs-installer.git
Vcs-Browser: https://salsa.debian.org/android-tools-team/google-android-sdk-docs-installer

Package: google-android-sdk-docs-installer
Architecture: all
Depends: wget,
         unzip,
         ca-certificates,
         make | build-essential | dpkg-dev,
         fonts-roboto,
         debconf,
         po-debconf,
         ${misc:Depends},
Description: Android SDK Documentation from Google
 This package will download the Android SDK Documentation from Google and
 create a Debian package.  This package also aims to strip out all calls to
 the networking, including tracking services like Google Analytics and
 Doubleclick. These documentation files still require the Google "jsapi",
 which is only available by fetching it each time from
 http://www.google.com/jsapi.  This package forces it to use https://, but
 otherwise, these docs have to phone home in order for any of the javascript
 to work.
 .
 WARNING: Installing this Debian package causes docs-24_r01.zip to be
 downloaded from https://dl.google.com and/or from other suggested
 mirrors.  Also, since Google is often blocked in China, the install
 process will try again on Chinese mirrors if the Google central
 download repo is not available.  Since the zipball is checked against
 the embedded SHA1 checksum, the install will fail if the mirror
 contains a corrupted version.
 .
 The End User License Agreement of this binary package is available here:
  https://developer.android.com/sdk/terms.html
 .
 The code in the documentation is licensed under the Apache 2.0, and
 the content is licensed under Creative Commons CC-BY 2.5.  The CC-BY
 2.5 license is non-free but can be legally distributed by Debian.
 This package avoids the issue all together since each user directly
 downloads the files from Google, and must agree to Google's license.
